#! /usr/bin/env bash

## from alpha to demo

set -e

test_dir="$(cd "$(dirname "$0")" && echo "$(pwd -P)")"
source $test_dir/test_lib.inc.sh "$@"

start_node 1

$client list understood protocols

activate_alpha

show_logs="no"

sleep 2

dictator_secret="edsk31vznjHSSpGExDMHYASz45VZqXN4DPxvsa4hAyY8dHM28cZzp6"

# autogenerated from the demo source
protocol_version="Ps1ZDZdgRP4PFDkzmFpiYtE7gJHioavCMxC96i9zJsK6URwSXSJ"
protocol_short="Ps1ZDZdgRP4PFD"

$client bake for bootstrap1 -max-priority 512

$client list understood protocols

$admin_client inject protocol "$test_dir/demo"
$admin_client list protocols

$client fork test protocol $protocol_version with key $dictator_secret

$admin_client list protocols

#these commands cannot be used in this case because the client does not
#know about the new protocol
#$client --protocol $protocol_short bake for bootstrap1 -max-priority 512
#$client --protocol $protocol_version rpc call /blocks/head with {}

echo
echo End of test
echo

